package org.expeditee.agents;

import java.util.Collection;

import org.expeditee.gui.Frame;
import org.expeditee.items.Text;

/**
 * A simple formatting agent that aligns the Y values.
 * 
 * @author Mike
 * 
 */
public class HFormat extends Format {

	public HFormat() {
		super();
	}

	@Override
	public Frame process(Frame start) {
		Collection<Text> itemsToFormat = getItemsToFormat(start);
		
		if(itemsToFormat.size() == 0)
			return null;
		
		float anchorY = 0F;
		float yThreshold = 0F;
		
		for(Text t: itemsToFormat){
			if(t.getY() > yThreshold + anchorY){
				anchorY = t.getY();
				yThreshold = t.getSize();
			}else{
				t.setY(anchorY);
			}
		}
		

		return null;
	}
}
